package com.muyu.common.system.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.system.remote.RemoteLogService;
import com.muyu.common.system.domain.SysLogininfor;
import com.muyu.common.system.domain.SysOperLog;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 日志服务降级处理
 *
 * @author muyu
 */
@Component
public class RemoteLogFallbackFactory implements FallbackFactory<RemoteLogService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteLogFallbackFactory.class);

    @Override
    public RemoteLogService create (Throwable throwable) {
        log.error("日志服务调用失败:{}", throwable.getMessage());
        return new RemoteLogService() {
            @Override
            public Result<Boolean> saveLog (SysOperLog sysOperLog, String source) {
                return Result.error("保存操作日志失败:" + throwable.getMessage());
            }

            @Override
            public Result<Boolean> saveLogininfor (SysLogininfor sysLogininfor, String source) {
                return Result.error("保存登录日志失败:" + throwable.getMessage());
            }
        };

    }
}
