package com.muyu.kvt.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 數據結構 DataStructure
 *
 * @author LeYang
 * on 2024/4/22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class DataStructure {
    /**
     * 主键
     */
    private Integer id;


    private String tableName;
    private String warName;

    /**
     * 名称
     */
    private String name;
    /**
     * 注释
     */
    private String comment;
    /**
     * 是否主键
     */
    private String isPrimaryKey;
    /**
     * 类型
     */
    private String type;
    /**
     * 映射类型
     */
    private String mappingType;
    /**
     * 长度
     */
    private String length;
    /**
     * 小数位
     */
    private String decimalPlaces;
    /**
     * 是否为空
     */
    private String isNull;
    /**
     * 默认值
     */
    private String defaultValue;
    /**
     * 是否字典
     */
    private String isDict;

    /**
     * 映射字典
     */
    private String dictKey;

    private String value;

}
