package com.muyu.kvt.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 同步对象 Synchronization
 *
 * @author LeYang
 * on 2024/4/28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Synchronization {


    /**
     * 主键
     */
    private Integer id;
    /**
     * 接入源名称
     */
    private String name;
    /**
     * 数据来源系统名称
     */
    private String systemName;
    /**
     * 数据接入类型
     */
    private String type;
    /**
     * 主机地址
     */
    private String host;
    /**
     * 端口地址
     */
    private String port;
    /**
     * 数据库名称
     */
    private String databaseName;
    /**
     * 数据连接参数
     */
    private String connectionParam;
    /**
     * 初始连接数量
     */
    private Integer initNum;
    /**
     * 最大连接数量
     */
    private Integer maxNum;
    /**
     * 最大等待时间
     */
    private Date maxWaitTime;
    /**
     * 最大等待次数
     */
    private Integer maxWaitSize;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建人
     */
    private String create_by;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新人
     */
    private String update_by;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;



}
