package com.muyu.kvt.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * kvt
对象 kvt
 *
 * @author muyu
 * @date 2024-04-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "KvtQueryReq", description = "kvt ")
public class KvtQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 接入源名称 */
    @ApiModelProperty(name = "接入源名称", value = "接入源名称")
    private String name;

    /** 数据来源系统名称 */
    @ApiModelProperty(name = "数据来源系统名称", value = "数据来源系统名称")
    private String systemName;

    /** 数据接入类型 */
    @ApiModelProperty(name = "数据接入类型", value = "数据接入类型")
    private Long type;

    /** 主机地址 */
    @ApiModelProperty(name = "主机地址", value = "主机地址")
    private String host;

    /** 端口地址 */
    @ApiModelProperty(name = "端口地址", value = "端口地址")
    private String port;

    /** 数据库名称 */
    @ApiModelProperty(name = "数据库名称", value = "数据库名称")
    private String databaseName;

    /** 数据连接参数 */
    @ApiModelProperty(name = "数据连接参数", value = "数据连接参数")
    private String connectionParam;

    /** 初始连接数量 */
    @ApiModelProperty(name = "初始连接数量", value = "初始连接数量")
    private Long initNum;

    /** 最大连接数量 */
    @ApiModelProperty(name = "最大连接数量", value = "最大连接数量")
    private Long maxNum;

    /** 最大等待时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "最大等待时间", value = "最大等待时间")
    private Date maxWaitTime;

    /** 最大等待次数 */
    @ApiModelProperty(name = "最大等待次数", value = "最大等待次数")
    private Long maxWaitSize;
    /*
    用户名
     */
    @ApiModelProperty(name = "用户名",value = "用户名")
    public String username;
    /*
    密码
     */
    @ApiModelProperty(name = "密码",value = "密码")
    public String password;


}
