package com.muyu.kvt.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import com.muyu.kvt.remote.factory.RemoteUser;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * RemoteUser
 *
 * @author LeYang
 * on 2024/4/27
 */
@FeignClient(
        contextId = "RemoteUserSer",
        value = ServiceNameConstants.SYSTEM_SERVICE,
        fallbackFactory = RemoteUser.class,
        path = "/user"
)
public interface RemoteUserSer {
    /**
     * 根据用户id查询用户信息
     * @return 结果
     */
    @PostMapping("/selectUserId")
    public Result<SysUser> selectUserId(@RequestParam("userId") Long userId);

}
