package com.muyu.kvt.remote.factory;


import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import com.muyu.kvt.remote.RemoteUserSer;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 用户服务降级处理
 *
 * @author muyu
 */
@Component
public class RemoteUser implements FallbackFactory<RemoteUserSer> {

    @Override
    public RemoteUserSer create(Throwable cause) {

        return new RemoteUserSer() {
            @Override
            public Result<SysUser> selectUserId(Long userId) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
