package com.muyu.kvt.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysDept;
import com.muyu.kvt.dataStructure.OverallDataStructure;
import com.muyu.kvt.datadisplay.DataDisplay;
import com.muyu.kvt.dictionary.Diction;
import com.muyu.kvt.dictionary.DictionaryType;
import com.muyu.kvt.dictionary.Dictionaryy;
import com.muyu.kvt.domain.*;
import org.apache.ibatis.annotations.Param;

import java.sql.SQLException;
import java.util.List;

/**
 * kvt
Service接口
 *
 * @author muyu
 * @date 2024-04-20
 */
public interface KvtService extends IService<Kvt> {

    public List<Kvt> list(Kvt kvt);

    boolean connectionTest(Kvt kvt) throws ClassNotFoundException, SQLException;

    List<DataType> dataTypeList();


    List<AssetStructureList> assetStructureList();

    List<ChildrenList> selectDepartment(String  databaseName);

    List<DataStructure> selectDataStructure(@Param("databaseName") String databaseName, @Param("name") String name);

    void add(DataStructure dataStructure);

    List<DataStructure> selectDataStur(String tableName);

    Child selectChild(String tableName);

    List<DataStructure> selectChildAll();

    List<SysDept> deptList();

    List<Diction> selectDictionaryy(Integer id);

    List<DataAuthorization> selectDataAuthorization(String databaseName);

    Result synchronizationAdd(Kvt kvt) throws SQLException, ClassNotFoundException;

    void dictionaryTypeAdd(Dictionaryy diction);

    void dictionTypeAdd(DictionaryType dictionaryType);

    Dictionaryy selectDictionaryTypeId(Integer  id);

    void delDictionaryTypeId(Dictionaryy dictionaryy);

    void utilAssetModel(DataStructure dataStructure);

    Result<OverallDataStructure> OverallDataStructure();


    List<DataDisplay> listResult();

    List<DataDisplay> selectDataDisplayName(String name);
}
