package com.muyu.system.mapper;

import com.muyu.system.domain.AsUserDept;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户与部门中间Mapper接口
 *
 * @author muyu
 * @date 2024-04-14
 */
public interface AsUserDeptMapper
{
    /**
     * 查询用户与部门中间
     *
     * @param id 用户与部门中间主键
     * @return 用户与部门中间
     */
    public AsUserDept selectAsUserDeptById(Long id);

    /**
     * 查询用户与部门中间列表
     *
     * @param asUserDept 用户与部门中间
     * @return 用户与部门中间集合
     */
    public List<AsUserDept> selectAsUserDeptList(AsUserDept asUserDept);

    /**
     * 新增用户与部门中间
     *
     * @param asUserDept 用户与部门中间
     * @return 结果
     */
    public int insertAsUserDept(AsUserDept asUserDept);

    /**
     * 修改用户与部门中间
     *
     * @param asUserDept 用户与部门中间
     * @return 结果
     */
    public int updateAsUserDept(AsUserDept asUserDept);

    /**
     * 删除用户与部门中间
     *
     * @param id 用户与部门中间主键
     * @return 结果
     */
    public int deleteAsUserDeptById(Long id);

    /**
     * 批量删除用户与部门中间
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAsUserDeptByIds(Long[] ids);

    void insertBachAsUserDept(@Param("asUserDepts") List<AsUserDept> asUserDepts);

    Long selectAsUserDeptNum(Long noticeId);

    void updateAsUserDeptRead(Long id);

    Long selectAsUserDeptReadNum(Long noticeId);
}
